/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    generateFontLessFiles = require('../../../../task/worker/generate_font_less_files.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Create fonts less.'] = function (test) {
    generateFontLessFiles({
        destDir: testResource.resolveWorkFile('.'),
        fontFiles: testResource.resolveMockFile('*.ttf'),
        ignore: '**/*.txt'
    }, function (err) {
        test.ifError(err);
        test.done();
    });

};

exports['Load the fonts less template.'] = function (test) {
    generateFontLessFiles._loadFontsLessTmpl(function (err, tmpl) {
        test.ifError(err);
        var data = tmpl({});
        test.ok(data);
        test.done();
    });
};